LettrLabs API
API ReferenceOrders

Retrieve a recipient's delivery status

Returns the latest carrier delivery status for one recipient on an order, identified by the recipient's first and last name, or by their address line.

GET
/v1/order/{id}/recipient-delivery-status

Returns the latest carrier delivery status for one recipient on an order, identified by the recipient's first and last name, or by their address line.

X-API-KEY<token>

In: header

Path Parameters

id*integer

Query Parameters

firstName?string

Recipient first name (use with lastName).

lastName?string

Recipient last name (use with firstName).

address?string

Recipient address line (Address1 or Address2). Use instead of firstName/lastName.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/order/0/recipient-delivery-status"
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "orderId": 0,    "firstName": "string",    "lastName": "string",    "address": "string",    "status": "string",    "updatedDate": "2019-08-24T14:15:22Z"  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "orderId": 0,    "firstName": "string",    "lastName": "string",    "address": "string",    "status": "string",    "updatedDate": "2019-08-24T14:15:22Z"  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}
"string"
{  "authenticationSchemes": [    "string"  ],  "properties": {    "items": {      "property1": "string",      "property2": "string"    }  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "orderId": 0,    "firstName": "string",    "lastName": "string",    "address": "string",    "status": "string",    "updatedDate": "2019-08-24T14:15:22Z"  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "orderId": 0,    "firstName": "string",    "lastName": "string",    "address": "string",    "status": "string",    "updatedDate": "2019-08-24T14:15:22Z"  },  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "metadata": {    "property1": null,    "property2": null  }}